Skip to main content
GET
/
api
/
organizations
/
{id}
Get Organization by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/organizations/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/organizations/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "archived": true,
  "authGroupLink": {
    "authGroup": "<string>"
  },
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "defaultToPrivateTemplates": true,
  "description": "Document processing organization for Acme Corp.",
  "enterpriseOrganization": true,
  "features": {},
  "hasImage": true,
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "memory": {
    "orderedDashboards": [
      "<string>"
    ]
  },
  "name": "Acme Corp",
  "organizationStatus": "ACTIVE",
  "properties": {},
  "publicAccess": true,
  "searchText": "<string>",
  "slug": "acme-corp",
  "stripeCustomerId": "<string>",
  "supportAccess": true,
  "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "550e8400e29b41d4a716446655440000"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The Organization

An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.

archived
boolean | null
changeSequence
integer<int32>

Optimistic locking version number, incremented on each update.

createdOn
string<date-time>

Timestamp when the organization was created.

defaultToPrivateTemplates
boolean

Whether new templates default to private access.

description
string

Human-readable description of the organization.

Example:

"Document processing organization for Acme Corp."

enterpriseOrganization
boolean | null

Whether this is an enterprise-tier organization.

features
object

Feature flags enabled for the organization.

hasImage
boolean

Whether the organization has a profile image.

id
string

Unique identifier (UUID) for the organization.

Example:

"550e8400-e29b-41d4-a716-446655440000"

memory
object

Organization-level memory and configuration.

name
string

Display name of the organization.

Example:

"Acme Corp"

organizationStatus
string

Current status of the organization (e.g., ACTIVE, SUSPENDED).

Example:

"ACTIVE"

properties
object

Arbitrary key-value properties for the organization.

publicAccess
boolean

Whether the organization is publicly visible.

searchText
string

Full-text searchable representation of the organization.

slug
string

URL-friendly identifier, 3-100 characters. Automatically lowercased. Pattern: ^[a-z0-9-]+$

Example:

"acme-corp"

stripeCustomerId
string
supportAccess
boolean

Whether Kodexa support has been granted access.

supportAccessExpiresAt
string<date-time> | null

When support access expires.

updatedOn
string<date-time>

Timestamp when the organization was last updated.

uuid
string

Secondary UUID identifier.

Example:

"550e8400e29b41d4a716446655440000"